﻿using System;

using OpenQA.Selenium;
using OpenQA.Selenium.Chrome;

namespace TestProject
{
    /// <summary>
    /// 프로그램
    /// </summary>
    class Program
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region 프로그램 시작하기 - Main()

        /// <summary>
        /// 프로그램 시작하기
        /// </summary>
        private static void Main()
        {
            ChromeDriverService driverService = ChromeDriverService.CreateDefaultService();

            driverService.HideCommandPromptWindow = true;

            ChromeDriver driver = new ChromeDriver(driverService, new ChromeOptions());

            IOptions options = driver.Manage();

            IWindow window = options.Window;

            window.Maximize();

            INavigation navigation = driver.Navigate();

            navigation.GoToUrl("https://icodebroker.tistory.com/");

            Console.WriteLine("크롬 브라우저를 종료하려면 아무 키나 눌러주시기 바랍니다.");

            Console.ReadKey(false);

            driver.Quit();
        }

        #endregion
    }
}